Bug 214031 - crashes in gcalctool
crashes in gcalctool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcalctool (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 16:07 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 09:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-04 16:07:47 EST
gcalctool 5.8.25 fixes two crasher in gcalctool. 
See 

http://bugzilla.gnome.org/show_bug.cgi?id=354730
http://bugzilla.gnome.org/show_bug.cgi?id=359291

for detailed reproduction instructions. I recommend
updating gcalctool to 5.8.25 before RHEL5
Comment 1 RHEL Product and Program Management 2006-11-04 16:24:50 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 2 Ray Strode [halfline] 2006-11-06 10:22:26 EST
Normally doing a rebase this late in the game might be a hard sell, but in this
case the rebase *only* adds those two fixes, so upgrading will give us a package
version that more closely matches the upstream tarball version without adding
any risk.
Comment 3 Ray Strode [halfline] 2006-11-06 11:08:40 EST
built gcalctool-5.8.25-1.el5
Comment 4 Nicole Dai 2006-11-09 03:42:36 EST
Reproduced the crash referred in 354730 with gcalctool-5.8.24-3.el5 but did not
reproduce the 359291 crash with gcalctool-5.8.24-3.el5 on Arabic(United Arab
Emirates/India/Egypt/Lebanon).

After upgrade to gcalctool-5.8.25-1.el5,repeat the steps of bug 354730:
open gcalctool
enter scientific mode
select 'dec'
select 'fix'
enter the following (clicking on the buttons)
3 (three)
* (times)
10x (the button, 10 to the power of)
3
8 (thirty eight)
select 'bin'
= (equals)
####it doesn't work####
select 'dec'
= (equals again)
####it doesn't work####

Notes: As it click '=' doesn't work I am not sure if it is correct. Anyway
verified the crash was not found after upgrade. 

After upgrade to gcalctool-5.8.25-1.el5,repeat the steps of bug 359291:Log in
system with Arabic(United Arab Emirates/India/Egypt/Lebanon) separately, launch
gcalctool and click randomly. No crash was found as before upgrade.
Comment 5 Jay Turner 2006-11-13 09:49:24 EST
Closing out as included in latest RHEL5 builds (20061111.0)

Note You need to log in before you can comment on or make changes to this bug.